Package org.eclipse.birt.chart.render

# Interface ISeriesRenderer

All Known Implementing Classes:
  `AxesRenderer`, `BaseRenderer`, `EmptyWithAxes`, `EmptyWithoutAxes`

public interface ISeriesRenderer
Defines the callback methods to be implemented by a custom series renderer to compute and render a specific series implementation.

## Method Summary

Modifier and Type
Method
Description
`void`
`compute(Bounds bo, Plot p, ISeriesRenderingHints isrh)`
Sends out a first pass notification to the series renderer implementation to perform any necessary pre-computations prior to a second pass rendering.
`void`
`renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo)`
Notifies the series renderer to render a legend graphic element in the legend content that represents the series associated with the renderer.
`void`
`renderSeries(IPrimitiveRenderer ipr, Plot p, ISeriesRenderingHints isrh)`
Notifies the series renderer to render itself in the provided plot area.

## Method Details

### compute

void compute(Bounds bo, Plot p, ISeriesRenderingHints isrh) throws ChartException
Sends out a first pass notification to the series renderer implementation to perform any necessary pre-computations prior to a second pass rendering.

Parameters:
  `bo` -
  `p` -
  `isrh` -
Throws:
  `ChartException`

### renderSeries

void renderSeries(IPrimitiveRenderer ipr, Plot p, ISeriesRenderingHints isrh) throws ChartException
Notifies the series renderer to render itself in the provided plot area. Each of the individual series renderers will have to implement their own graphic element rendering routines w.r.t. the plot background.

Parameters:
  `ipr` -
  `p` -
  `isrh` -
Throws:
  `ChartException`

### renderLegendGraphic

void renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo) throws ChartException
Notifies the series renderer to render a legend graphic element in the legend content that represents the series associated with the renderer.

Parameters:
  `ipr` -
  `lg` -
  `fPaletteEntry` -
  `bo` -
Throws:
  `ChartException`